TTF_GetGlyphKerning(3)

NAME
TTF_GetGlyphKerning - Query the kerning size between the glyphs of two UNICODE codepoints.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

bool TTF_GetGlyphKerning(TTF_Font *font, Uint32 previous_ch, Uint32 ch, int *kerning);

FUNCTION PARAMETERS

font
    the font to query.

previous_ch
    the previous codepoint.

ch  the current codepoint.

kerning
    a pointer filled in with the kerning size between the two glyphs, in pixels, may be NULL.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
This function should be called on the thread that created the font.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.